<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zsc.edu.gateway.modules.iot.record.repo.RecordDataRepository">
    <resultMap id="BaseResultMap" type="com.zsc.edu.gateway.modules.iot.record.entity.RecordData">
        <id column="id" property="id"/>
        <result column="client_id" property="clientId"/>
        <result column="content" property="content"
                typeHandler="com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler"/>
        <result column="record_time" property="recordTime"/>
        <result column="dept_id" property="deptId"/>
    </resultMap>
    <select id="selectList" resultMap="BaseResultMap">
        select ira.*
        from iot_record_data ira
    </select>
</mapper>